%{
  #include "y.tab.h"
  #include <stdio.h>
  #include <stdlib.h>
  #include <math.h>
  #include <string.h>
  #define YYSTYPE double

%}
%option noyywrap
%option yylineno
%%
#.*\n ;
[\ \t\n\r] ;
\+ {return PLUS;}
"%" {return MOD;}
\- {return MOINS;}
\* {return MULT;}
\/ {return DIV;}
\; {return END;}

<<EOF>> { yyterminate(); }

[0-9]+ {
yylval.cnum = strtol(yytext,NULL,10) ;
return CNUM;
            }


IN {return IN;}
OUT {return OUT ;}
SHOW {return SHOW ; }
MD { return MD ;}
WH { return WH;}
R {return R;}
F { return F; } 
PTA { return PTA ; }
PTD { return PTD ; }
FOR { return FOR;}
WALL {return WALL ; }
UNWALL { return UNWALL ;}
TOGGLE {return TOGGLE; }
SIZE {return SIZE; }





[ENSW] {
yylval.dir = yytext;
return DIR; }
[a-zA-Z][A-Za-z0-9]* {
	yylval.ident = yytext ;
	return 	IDENT;
		       }


	





. return *yytext;

%%
/*
int yyerror(char* m){
  fprintf(stderr,"%s (near %s) line %i\n",m,yytext, yylineno);
}*/
